#!/bin/bash

echo ""
echo "------------------------------------------------------"
echo "*** Fixing errors on /dev/sda"
echo "------------------------------------------------------"
sgdisk -g -G /dev/sda
partprobe
sync

echo ""
echo "------------------------------------------------------"
echo "*** Updating system"
echo "------------------------------------------------------"

# Clean storage
mkdir /storage
cd /storage
rm -rf *
cd /

echo ""
echo "------------------------------------------------------"
echo "*** Creating raw LVM partition"
echo "------------------------------------------------------"
sgdisk -p /dev/sda
partprobe
sleep 2
sgdisk -N 5 -c 5:"Linux LVM" -t 5:8e00 /dev/sda
partprobe
sleep 2
echo ""
echo "------------------------------------------------------"
echo "*** Done creating raw LVM partition"
echo "------------------------------------------------------"
sgdisk -p /dev/sda

echo ""
echo "------------------------------------------------------"
echo "*** Creating Physical volume"
echo "------------------------------------------------------"
pvcreate -y /dev/sda5
pvdisplay

echo ""
echo "------------------------------------------------------"
echo "*** Creating Volume Group"
echo "------------------------------------------------------"
vgcreate VolGroup /dev/sda5
vgdisplay

#lvremove -f /dev/VolGroup/lv_storage

echo ""
echo "------------------------------------------------------"
echo "*** Creating Logical volume"
echo "------------------------------------------------------"
lvcreate -y -l +100%FREE VolGroup -n lv_storage
lvdisplay

echo ""
echo "------------------------------------------------------"
echo "*** Formatting Logical volume with EXT4 file system"
echo "------------------------------------------------------"
mkfs.ext4 /dev/mapper/VolGroup-lv_storage

echo ""
echo "------------------------------------------------------"
echo "*** Mounting volume and set to auto mount on boot"
echo "------------------------------------------------------"
mount /dev/mapper/VolGroup-lv_storage /storage

cat > /opt/vortexbox/mount_drives.sh <<EOF
#!/bin/bash
while [ ! -b /dev/mapper/VolGroup-lv_storage ] ;
do
      sleep 2
done

mount /dev/mapper/VolGroup-lv_storage /storage
/sbin/hdparm -B 255 /dev/sda
EOF

touch /forcefsck

echo ""
echo "------------------------------------------------------"
echo "*** Configure Samba"
echo "------------------------------------------------------"

/opt/vamp/package-scripts/smb.sh install
