#!/bin/sh
# Copyright (C) 2008 - 2014 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

function echolog {
echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

echo "" >> /var/log/vbupgrade.log
echolog "Installing MinimServer (This can take a long time...)" >> /var/log/vbupgrade.log

yum clean all
rm -rf /var/cache/yum/*
rm -rf /var/lib/yum/yumdb/*
yum -y install  java-1.7.0-openjdk-headless --skip-broken >> /var/log/vbupgrade.log

cd /opt
rm -rf MinimServer-*-linux-x86.tar.gz
echolog "Installing  http://minimserver.com"`cat /var/www/html/config/download-link.txt` >> /var/log/vbupgrade.log
wget http://minimserver.com/`cat /var/www/html/config/download-link.txt` 
tar xf MinimServer-*-linux-x86.tar.gz
rm MinimServer-*-linux-x86.tar.gz

cat > /usr/lib/systemd/system/minimserver.service <<EOF
[Unit]
Description=MinimServer Daemon
After=local-fs.target network.target

[Service]
ExecStart=/opt/minimserver/bin/minimserver_service
RestartSec=5
Restart=on-failure

[Install]
WantedBy=multi-user.target
EOF

cat > /opt/minimserver/bin/minimserver_service <<EOF
#!/bin/sh

cd /opt/minimserver/data
LD_LIBRARY_PATH="/opt/minimserver/libsys" /usr/bin/java -jar /opt/minimserver/lib/mserver.jar

exit
EOF

chmod +x /opt/minimserver/bin/minimserver_service

echo "minimserver.contentDir = /storage/music/flac" > /opt/minimserver/data/minimserver.config

touch /etc/vortexbox/packages/minimserver

/usr/bin/systemctl enable minimserver.service
/usr/bin/systemctl start minimserver.service

echolog "MinimServer installed." >> /var/log/vbupgrade.log
echo "" >> /var/log/vbupgrade.log
