#!/bin/bash
# Copyright (C) 2008 - 2015 Small Green Computer
#

function echolog {
echo "`date +'%m/%d/%Y %H:%M:%S'` - $1"
}

case $1 in
  install)
	echolog "Installing SMB."
	mkdir -p /storage/music/flac
	mkdir -p /storage/music/mp3
	mkdir -p /storage/music/playlist
	mkdir -p /storage/pictures
	mkdir -p /storage/movies
	yum -y install samba
	
cat > /etc/avahi/services/smb.service <<EOF
<?xml version="1.0" standalone='no'?>
<!DOCTYPE service-group SYSTEM "avahi-service.dtd">
<service-group>
 <name replace-wildcards="yes">%h</name>
 <service>
   <type>_smb._tcp</type>
   <port>445</port>
 </service>
</service-group>
EOF
	
	cat > /etc/samba/smb.conf <<EOF
[global]
workgroup = workgroup
server string = SonicOrbiter
security = user
map to guest = Bad User
public = yes
obey pam restrictions = Yes
pam password change = Yes
dns proxy = No
usershare allow guests = Yes
log level = 3
log file = /var/log/samba/samba.log
unix extensions = no
wide links = yes
printcap name = /etc/printcap
load printers = no
socket options = IPTOS_LOWDELAY TCP_NODELAY SO_KEEPALIVE
write cache size = 2097152
use sendfile = true
getwd cache = yes
oplocks = no
netbios name = SonicOrbiter

[files]
comment = Read/Write file share
path = /storage
browsable = Yes
guest ok = Yes
read only = No
create mask = 0755
directory mask = 0755
force user = root
force group = root

[music_readonly]
comment = Read Only music share
path = /storage/music
browsable = Yes
guest ok = Yes
read only = Yes
create mask = 0755
directory mask = 0755
force user = root
force group = root

[pictures_readonly]
comment = Read Only pictures share
path = /storage/pictures
browsable = Yes
guest ok = Yes
read only = Yes
create mask = 0755
directory mask = 0755
force user = root
force group = root

[movies_readonly]
comment = Read Only movies share
path = /storage/movies
browsable = Yes
guest ok = Yes
read only = Yes
create mask = 0755
directory mask = 0755
force user = root
force group = root

#[keepout]
#path = /
#browsable = Yes
#guest ok = Yes
#read only = No
#create mask = 0755
#directory mask = 0755
#force user = root
#force group = root

EOF
	systemctl enable smb
	systemctl start smb

	systemctl enable nmb
	systemctl start nmb

	systemctl restart avahi
	
      ;;
	  
  delete)
	echolog "Deleting SMB."
	rpm -e samba
	rm -rf /etc/avahi/services/smb.service
	systemctl restart avahi	
	  ;;
	  
  *)
	echolog "Unknown option."
      ;;	  
esac